%if ! (0%{?fedora} > 12 || (0%{?rhel} && 0%{?rhel} > 5))
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pkgname postman

Name:           python-%{pkgname}
Version:        0.6.0
Release:        16%{?dist}
Summary:        Postman is a command line utility for working with Amazon SES
Group:          Applications/Internet

License:        MIT
URL:            http://pypi.python.org/pypi/%{pkgname}
Source0:        http://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch0:         postman_fixdeps.patch
Patch1:         postman_logging.patch
Patch2:         postman_fixdeps2.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-docutils
BuildRequires:  python2-setuptools
BuildRequires:  python2-boto

# python 2.7 includes argparse natively.
# everybody that's still stuck on 2.6 or below needs python-argparse.
%if 0%{?fedora} < 15 || (0%{?rhel} && 0%{?rhel} < 7)
BuildRequires:  python-argparse
%endif

%global _description\
Postman is a command line utility for working with\
Amazon Simple Email Service (SES)\
\
A tutorial for using postman is available here:\
http://aws.amazon.com/articles/2405502737055650

%description %_description

%package -n python2-%{pkgname}
Summary: %summary
Requires:       python2-boto
%if 0%{?fedora} < 15 || (0%{?rhel} && 0%{?rhel} < 7)
Requires:       python-argparse
%endif
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname} %_description

%prep
%setup -q -n %{pkgname}-%{version}

# Remove the explicit argparse requirement for python 2.7+
%if 0%{?fedora} > 14 || (0%{?rhel} && 0%{?rhel} < 7)
%patch0
%else
%patch2
%endif

%patch1

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build
rst2man README.rst %{pkgname}.5

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot}

mkdir -p -m0755 %{buildroot}%{_mandir}/man5
install -p -m 0644 %{pkgname}.5 %{buildroot}%{_mandir}/man5/

%check
%{__python} setup.py test

%files -n python2-%{pkgname}
%defattr(-,root,root,-)
%doc README.rst AUTHORS LICENSE
%{_bindir}/postman
%{python_sitelib}/*
%{_mandir}/man5/*

%changelog
* Tue Feb 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.0-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-14
- Python 2 binary package renamed to python2-postman
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 29 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.6.0-11
- Fix the rhel conditional macro

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 31 2012 Brett Lentz <blentz@redhat.com> - 0.6.0-4
- Update fixdeps patch to support boto >= 2.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 8 2011 Brett Lentz <blentz@redhat.com> - 0.6.0-1
- Update to 0.6.0, upstreamed --sanitize patch.
- Add patch to support better logging.

* Wed Oct 26 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-4
- Add --sanitize flag to allow working around SES illegal headers issues.

* Wed Oct 26 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-3
- fix some niggling rpmlint errors

* Wed Oct 26 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-2
- removed python3 stuff for now.
- updated description and summary to be more clear
- install rst2man generated manpage

* Tue Oct 18 2011 Brett Lentz <blentz@redhat.com> - 0.5.2-1
- Initial packaging
